Tabula API

Get an upload batch

GET
/v1/uploads/batches/{batchId}

Returns the batch's status, counts per upload status and every upload in it. While the batch is processing, the Retry-After header suggests when to poll again.

Authorization

apiKey
headerAuthorizationBearer <token>

A company API key created in Tabula.

Path Parameters

batchId*string

Upload batch ID.

Formatuuid

Response Body

OK

application/json
  1. response
id*string

Upload batch ID.

Formatuuid
externalId*|

The externalId sent with the archive.

documentType*string
Value in"auto""supplier_invoice""customer_invoice""bank_statement""other_document"
status*string

processing: at least one upload is queued or processing. completed: every upload completed. completed_with_errors: some uploads failed. failed: every upload failed.

Value in"processing""completed""completed_with_errors""failed"
counts*

Uploads in the batch by status.

uploads*array<>

One upload per file in the archive.

createdAt*string
Formatdate-time
curl -X GET "https://example.com/v1/uploads/batches/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "externalId": "string",  "documentType": "auto",  "status": "processing",  "counts": {    "total": 0,    "queued": 0,    "processing": 0,    "completed": 0,    "failed": 0,    "deleted": 0  },  "uploads": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "batchId": "5579c111-9c50-47e2-af92-f16d52e63189",      "externalId": "string",      "fileName": "string",      "documentType": "auto",      "status": "queued",      "result": {        "type": "invoice",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "url": "http://example.com"      },      "error": {        "code": "unsupported_file_type",        "message": "string"      },      "createdAt": "2019-08-24T14:15:22Z"    }  ],  "createdAt": "2019-08-24T14:15:22Z"}